package until

import (
	"fmt"
	"os"
)

func GetConfig() string {
	var dir string
	pwd, _ := os.Getwd()
	path := fmt.Sprintf("%s%s", pwd, "/../../env")
	bytes, _ := os.ReadFile(path)
	env := string(bytes)
	switch env {
	case "produce\n":
		dir = "produce.yaml"
	case "test\n":
		dir = "test.yaml"
	default:
		dir = "local.yaml"
	}
	return dir
}
